Page MenuHomePhabricator

Parsoid provides 200px-width default for sound files, rather than the sound icon at standard size
Closed, DuplicatePublic

Description

See https://en.wikipedia.org/wiki/Hermann_M%C3%BCller_%28politician%29 for example; found in Chrome 27 on a Mac. In Safari 6.0.5 it displays differently (a large space appears, rather than a missing icon signifier) but is still broken. Not replicatable in Firefox 21.0/Windows 7.


Version: unspecified
Severity: normal
URL: http://parsoid.wmflabs.org/en/Hermann%20M%C3%BCller%20(politician)

Details

Reference
bz49689

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:58 AM
bzimport added a project: Parsoid.
bzimport set Reference to bz49689.
TheDJ added a comment.Jun 17 2013, 1:30 PM

It's inserting a thumbnail image at fixed 200px width.

<img resource="./File:Hermann_Müller.ogg" src="http://upload.wikimedia.org/wikipedia/commons/d/d3/Hermann_M%C3%BCller.ogg" width="200" data-parsoid="{&quot;a&quot;:{&quot;resource&quot;:&quot;./File:Hermann_Müller.ogg&quot;},&quot;sa&quot;:{&quot;resource&quot;:&quot;:File:Hermann Müller.ogg&quot;}}">

This is now fixed in production for Parsoid (and so for VisualEditor). Sorry for the bug!

[Parsoid component reorg by merging JS/General and General. See bug 50685 for more information. Filter bugmail on this comment. parsoidreorg20130704]

Seems to me, this is still buggy !

Have tried the following code at http://parsoid.wmflabs.org/_rtform/:
[[File:La_Marseillaise.ogg]]

This gives:
<img resource="./File:La_Marseillaise.ogg" src="//upload.wikimedia.org/wikipedia/commons/3/30/La_Marseillaise.ogg" data-parsoid="{&quot;a&quot;:{&quot;resource&quot;:&quot;./File:La_Marseillaise.ogg&quot;},&quot;sa&quot;:{&quot;resource&quot;:&quot;File:La_Marseillaise.ogg&quot;}}" width="200">

The original bug was rendering of [[:Media:Hermann Müller.ogg]].

The rendering of [[File:Hermann Müller.ogg]]/[[File:La_Marseillaise.ogg]] is a different problem, as that renders as a player in source editor. There are some underlying problems in Parsiod and even the mw API if I am understanding bug 49896 correctly.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 5:25 AM